Magick++ 7.1.0

Public Member Functions | List of all members
Magick::PathLinetoVerticalRel Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathLinetoVerticalRel:
[legend]
Collaboration diagram for Magick::PathLinetoVerticalRel:
[legend]

## Public Member Functions
| PathLinetoVerticalRel (double y_)
| ~PathLinetoVerticalRel (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
void | y (double y_)
double | y (void) const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 3059 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathLinetoVerticalRel()

Magick::PathLinetoVerticalRel::PathLinetoVerticalRel | ( | double | y_ | ) |
| inline

Definition at line 3062 of file Drawable.h.

## ◆ ~PathLinetoVerticalRel()

Magick::PathLinetoVerticalRel::~PathLinetoVerticalRel | ( | void |  | ) |

Definition at line 2421 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::VPathBase * Magick::PathLinetoVerticalRel::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2429 of file Drawable.cpp.

## ◆ operator()()

void Magick::PathLinetoVerticalRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2425 of file Drawable.cpp.

## ◆ y() [1/2]

void Magick::PathLinetoVerticalRel::y | ( | double | y_ | ) |
| inline

Definition at line 3075 of file Drawable.h.

## ◆ y() [2/2]

double Magick::PathLinetoVerticalRel::y | ( | void |  | ) | const
| inline

Definition at line 3079 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp